Bug 2058468 - The Sleep, Restart, Shut down, and Other options were missing from sddm on Wayland in Fedora 36
Summary: The Sleep, Restart, Shut down, and Other options were missing from sddm on Wa...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: sddm
Version: 36
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-02-25 04:23 UTC by Matt Fagnani
Modified: 2022-03-10 07:07 UTC (History)
10 users (show)

Fixed In Version: sddm-0.19.0^git20220228.c257a40-3.fc36
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-03-10 07:07:12 UTC
Type: Bug


Attachments (Terms of Use)

Description Matt Fagnani 2022-02-25 04:23:10 UTC
Description of problem:

The Sleep, Restart, Shut down, and Other options under the password box were missing from sddm on Wayland from sddm-0.19.0^git20220130.85cbf3f-2.fc36.x86_64 in a Fedora 36 KDE Plasma installation unless I clicked on the virtual keyboard box. The virtual keyboard maliit-keyboard didn't appear. I switched from sddm on Wayland to sddm on X with sudo dnf swap sddm-wayland-plasma sddm-x11 as described at https://fedoraproject.org/wiki/Changes/WaylandByDefaultForSDDM The Sleep, Restart, Shut down, Other options appear normally in sddm on X. This problem might be specific to sddm on Wayland. I didn't see this problem with sddm-0.19.0-19.fc36 on X from koji either.

Version-Release number of selected component (if applicable):
sddm-0.19.0^git20220130.85cbf3f-2.fc36.x86_64
sddm-wayland-plasma-5.24.2-1.fc36.noarch

How reproducible:
Each of a few times.

Steps to Reproduce:
1. Boot a Fedora 36 KDE Plasma installation updated to 2022-2-24 with updates-testing enabled and sddm-0.19.0^git20220130.85cbf3f-2.fc36.x86_64 and sddm-wayland-plasma-5.24.2-1.fc36.noarch installed.
2.
3.

Actual results:
The Sleep, Restart, Shut down, and Other options were missing from sddm on Wayland in Fedora 36 unless I clicked on the virtual keyboard box. 

Expected results:
The Sleep, Restart, Shut down, and Other options would appear normally in sddm on Wayland in Fedora 36. 

Additional info:
Other problems with sddm-0.19.0^git20220130.85cbf3f-2.fc36 were reported at
https://bugzilla.redhat.com/show_bug.cgi?id=2057419
https://bugzilla.redhat.com/show_bug.cgi?id=2054016
https://bugzilla.redhat.com/show_bug.cgi?id=2055627
https://bugzilla.redhat.com/show_bug.cgi?id=2056308

Comment 1 Matt Fagnani 2022-03-01 00:19:35 UTC
The Sleep, Restart, Shut down, and Other options also appeared briefly when I clicked on the Keyboard layout and Desktop session boxes, but the screen was flickering when I did so as reported at https://bugzilla.redhat.com/show_bug.cgi?id=2054016 and https://bugzilla.redhat.com/show_bug.cgi?id=2055627 The Sleep, Restart, Shut down, and Other options appeared for a fraction of a section after I pressed enter to log in to Plasma on Wayland while sddm was still visible.

Comment 2 Matt Fagnani 2022-03-01 04:25:39 UTC
The Sleep, Restart, Shut down, and Other options appeared for a fraction of a section while sddm on Wayland was starting, but then they disappeared. Clicking where the Sleep and Restart options were briefly shown had no effect. The rpm versions were sddm-0.19.0^git20220228.c257a40-1.fc36.x86_64 and sddm-wayland-plasma-5.24.2-1.fc36.noarch

Comment 3 Matt Fagnani 2022-03-02 07:30:14 UTC
The missing Sleep, Restart, Shut down, and Other options under the password box appeared for about a second when I clicked on the login button labelled > before disappearing. Clicking the login button in sddm on Wayland from sddm-0.19.0^git20220228.c257a40-2.fc36 didn't log in to Plasma on Wayland most of the time as I reported at https://bugzilla.redhat.com/show_bug.cgi?id=2059837 Clicking on the login button with an incorrect password entered didn't show an error message either.

Comment 4 Fedora Update System 2022-03-07 01:47:52 UTC
FEDORA-2022-cda6070d01 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-cda6070d01

Comment 5 Matt Fagnani 2022-03-07 02:23:25 UTC
The Sleep, Restart, Shut down, and Other options appeared most of the time with plasma-workspace-5.24.2-3.fc36 and sddm-0.19.0^git20220228.c257a40-3.fc36 from koji, but they disappeared each time I clicked in the Password box. Clicking on the Virtual Keyboard, Keyboard layout and Desktop session boxes made the Sleep, Restart, Shut down, and Other options reappear. The Virtual Keyboard still didn't show up when I clicked its box. Thanks.

Comment 6 Fedora Update System 2022-03-07 15:51:23 UTC
FEDORA-2022-cda6070d01 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-cda6070d01`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-cda6070d01

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2022-03-10 07:07:12 UTC
FEDORA-2022-cda6070d01 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2022-03-10 07:07:22 UTC
FEDORA-2022-cda6070d01 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.